img, video, canvas {
  max-width: 100%;
}

$breakpoints: (
  'x-large': (max-width: 1600px),
  'large': (max-width: 1280px),
  'medium': (max-width: 1050px),
  'small': (max-width: 850px),
  'x-small': (max-width: 700px),
  'xx-small': (max-width: 500px),
  'xxx-small': (max-width: 430px),
  'medium-height': (max-height: 850px),
  'small-height': (max-height: 720px),
  'x-small-height': (max-height: 650px)
);

@mixin media($breakpoint) {
  $raw-query: map-get($breakpoints, $breakpoint);

  @if $raw-query {
    $query: if(
      type-of($raw-query) == 'string',
      unquote($raw-query),
      inspect($raw-query)
    );

    @media #{$query} {
      @content;
    }
  } @else {
    @error 'No value found for `#{$breakpoint}`. '
         + 'Please make sure it is defined in `$breakpoints` map.';
  }
}

@mixin largestate {
  /*#footer .quarter {width: 30%;}*/
	#footer .half {width: 40%;}
  #footer .menu {width: 50%}
	#footer .mainmenu li {float: none !important; min-height: inherit !important; padding-bottom: 0 !important;}
	#footer .mainmenu ul {display: none;}
  .googlemap iframe {width: 100% !important;}
}
@mixin mediumstate {
  #menu .hide {display:none !important}
  #menu .mainmenu,#menu .mainmenu_menu,#qm0{display:none !important}
  #responsive_menu       {position: fixed; width: 100%; height: 1px; top: 80px; z-index: 50; overflow: hidden;}
  #responsive_menu.hide  {display: block !important;}
  #responsive_menu li    {display: block; padding: 0.5em 0.5em;}
}
@mixin smallstate {
  .quarter {width: 50%; text-align: center; float: none;}
  .third {width: 100%; text-align: center;}
  .half {width: 100%;}

  #footer hr    {max-width: 100%;}
	#footer .quarter {width: 100%;}
	#footer .half {width: 100%; padding-top: 1em; text-align: center; }
	#footer .mainmenu {text-align: center;}
	#footer .mainmenu li {padding: inherit;}
}
@mixin xsmallstate {
  .quarter {width: 100%; text-align: center;}
  //.third {width: 100%; text-align: center;}
  //.half {width: 100%;}
  .twothird {width: 100%; text-align: center;}
  .pagination span {font-size: small;}
}

@include media("x-large"){
  #flags .flag, #responsive_flags .flag {}
  //#qm0 a {padding: 38px 1.5em;}

  //ADDON
  #slideshow_text {top: 2em; right: 5%;}
  #slideshow_text h2 {font-size: 300%;}
  #slideshow_text p  {font-size: 140%; }
}
@include media("large"){
  @include largestate;

  #header {}

  .mainmenu li, .mainmenu_menu li {padding-right: 0;}
  .mainmenu li a, .mainmenu_menu li a, #qm0 li a {font-size: 100%;}
	//h1 {font-size: 250%;}
	h2 {padding-bottom: 0;}
	//.kontakt {width: 49%;}

	#slideshow_text    {top: 1em; padding: 1em;}
	#slideshow h2 {font-size: 180%;}
  #slideshow_text p {font-size: 110%;}

  //#qm0 a {padding: 38px 1.2em;}

  //ADDON

}

@include media("medium"){
  @include mediumstate;

  #header {overflow: hidden;}

  #responsive_menu.hide  {display: block !important;}
  #responsive_menu{
    //.mainmenu, .mainmenu_menu,  #qm0 {position: relative; top: 0px; left: -60%; width: 40%; /*max-height: 130px;*/ padding: 10px 20px; padding-bottom: 30px;
    //background-color: rgba(0,0,0,0.8); /*@include boxshadow(10px, -20px, 15px, #888);*/}
    .mainmenu, .mainmenu_menu,  #qm0 {font-size: 100%; text-align: left;}
    //.mainmenu li, .mainmenu_menu li, #qm0 li  {display: block; padding: 0.5em 0.5em;}
    .mainmenu li a, .mainmenu_menu li a, #qm0 li a {float: none; border-bottom: none; font-weight: 400; padding: 0;}
    .mainmenu li a:hover, .mainmenu_menu li a:hover, #qm0 li a:hover {border-bottom: none; color: $acolor;}
    .mainmenu li ul {padding-top: 0.5em}
    .mainmenu li ul li {padding-left: 1em;}
    .mainmenu li ul li a::before  {content: url("../images/li.png"); padding-right: 5px;}
    .mainmenu li ul li a {text-transform: none;}
    button {display: inline-block;}
  }
  	.quarter_center.last {margin-right: 10px;}
	#cont {padding-top: 50px;}

	#header {position: relative; /*overflow: hidden;*/}
	#header .hide    {display: none !important;}
	.head_menu {position: absolute; max-width: none; top: 85px; right: -110%; width: 100%; padding: 50px 20px 0; background: #0f3234; background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(0,0,0,1) 50%); /*-webkit-box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.15); -moz-box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.15); box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.15);*/}
	.head_menu ul.topmenu {position: relative; padding-right: 0; padding-bottom: 3em; margin-top: -25px; border: none; height: auto; font-size: 130%; text-align: right;}
	.head_menu ul.topmenu li   {display: inline-block; float: none; padding-bottom: 1em;}
	.head_menu ul.topmenu li a {float: none; border-bottom: none; color: #fff; font-size: 100%;}
	.head_menu ul.topmenu li a:hover {border-bottom: none;}
	.head_menu button {display: inline-block;}

  #mob_menu_open  {display: inline-block; }
  #mob_menu_close {display: inline-block; z-index: 100; top: 100px;}
  .addhtml {display: none;}

  .sticky #mob_menu_open, sticky #mob_menu_close  {right: 4%;}
  /*.head_menu {top: 114px;}*/
  .head_menu ul.topmenu {right: 50px;}

	#slideshow_text {}
	#slideshow_text h3 {font-size: 120%;}
	#slideshow_text a.button {font-size: 100%; padding: 0.8em 1.5em;}
  #slideshow_text p {font-size: 100%; line-height: 1.5em;}

	//#header .header_left .social  {display: none;}
	//#responsive_flags {position: relative; display: block; top: 9px; float: right; margin-right: 30px;}
	//#menu .social {position: relative; display: block; top: 8px; float: right;}
	//#header .header_left {width: 250px; float: right; padding-top: 20px;}
	//#header .header_left .gps {width: 100%; min-width: inherit; padding-bottom: 15px; float: none;}
	//#header .header_left .phone {width: 100%; min-width: inherit; float: none;}

	.fixed1 {}
	.fixed1 a.button	{display: block; max-width: 150px; top: 1em; margin: auto;}
	.fixed1 h2 {font-size: 150%;}

	.akt {text-align: left;}
	.gallery  {text-align: center;}
	table.gal {display: inline-block; float: none;}

	#kontakt form {display: block; width: 90%; float: none; }
	#kontakt iframe {width: 100% !important; margin-top: 20px;}

	#footer .logo img {width: 85%;}
	#footer .mainmenu {font-size: 110%;}
	.box {width: 90%; margin-left: 5%;}
	.boxes h2 {font-size: 90%;}
	.boxes p  {/*font-size: 70%;*/}

  //ADDON
  #homepage.content>.inner {padding-top: 0; padding-bottom: 0em;}
  .uvod_text h2 {font-size: 250%;}
  .prehled {float: none;}
  .harmonogram {float: none;}
  .zdroje {float: none; width: 100%; padding-top: 2em;}
  .content>.inner {padding: 2em 0;}

}
@include media("small"){
  @include smallstate;

  #header {}
  #header_top .logo_cont {width: 80px; padding-right: 10px;}
  #header_top .soc {top: 0;}
	/*body {font-size: medium;}*/
  //#top {display: none;}
	//#header a.home {max-width: 50%;}
  //#header h1 {font-size: 150%;}
	//#header .header_left {width: 50%; padding-top: 20px;}
  //#header .title {left: 40%;}

	#slideshow_text    {max-width: 80%;}
  #slideshow_text p  {font-size: 100%;}
	#slideshow_text h2 {font-size: 160%;}
	#slideshow_text a.button {display: none;}

  .contact_form .inner .twothird {width: 100%;}

	//.mainmenu, .mainmenu_menu,  #qm0 {width: 60%; font-size: 85%;}

	.text_blocks h2 {font-size: 140%;}
	.text_blocks p  {font-size: 110%;}

	.twothird hr.underline {display: none;}
	h3 {font-size: 130%;}
  #aktuality_uvod .text {text-align: center !important;}
  .akt {width: 90%; height: auto;
    .akt_text {height: auto;}
    .submit_cont {position: relative; margin: 1em 0; bottom: 0;}
  }

	.fixed1 h3 {top: 50px; font-size: 200%;}
	.cat h2 {font-size: 220%; }
	#footer {
    .logo {display: none;}
	  .fright {padding-bottom: 0;}
    ul {padding-bottom: 2em;}
    ul li {display: inline-block;}
    .quarter:nth-child(2) {text-align: center;}
    .quarter:nth-child(2) ul {direction: ltr;}
    .quarter:nth-child(2) ul li {margin-right: 0px;}
    .quarter:nth-child(2) h4 {padding-right: 0px;}
    .social {text-align: center; float: none; padding-top: 1em;}
    .social a img {position: relative; float: none;}
      .efa img {max-width: 25%; padding: 1rem}
  }

  //ADDON
  .uvod_foto {display: none;}
  .uvod_text {width: 100%;}
  #homepage.content>.inner {padding-bottom: 4em;}
}
@include media("x-small"){
  @include xsmallstate;
	/*#slider {display: none;}*/
  #header {}

  #header .title {}
  #header a.home {font-size: 140%;}
  #header a.home strong {display: block;}
  #menu .logo {display: none;}
  #responsive_menu{
    .mainmenu, .mainmenu_menu,  #qm0 {width: 100%; left: -115%;}
  }
  .head_menu ul.topmenu li a {font-size: 80%;}

	h1 {font-size: 130%; text-align: left;}
	/*#header a.home {display: block; width: 100%; max-width: 100%; margin: auto; text-align: center}*/
  .portfolio {width: 100%; margin-bottom: 0;}

	//#header .header_left {display:none;}
	#slideshow_text {top: 0; }
  #slideshow_text p  {font-size: 90%;}
	#slideshow_text h2 {font-size: 130%;}
	#slideshow_text a.button {}
	#menu .social {display: none;}
  #flags {width: 100px;}
	#flags .flag, #responsive_flags {margin-right: 0;}
	.fixed1 h2 {font-size: 120%;}
	/*.akt {width: 90%;}*/
	.g-recaptcha > div {width: 100% !important;}

	.cats .cat {padding-bottom: 2em;}
	.akt h4 {font-size: 110%;}
	//ADDON
    #mob_menu_open  {}
  #footer {.efa img {max-width: 35%; padding: 1rem}}

}

@include media("xx-small"){
  	a.home {font-size: 25px;}
	#header {}
  #header_top .soc {display: none;}
	.head_menu .topmenu li {padding-bottom: 0.4em;}
  .head_menu .topmenu li a {@include textshadow(1px,0px,1px,#fff);}
  .head_menu ul.topmenu li {margin-left: 1em;}
  .head_menu ul.topmenu li a {font-size: 65%;}
	/*#mob_menu_open  {right: 25px;}
	#mob_menu_close {right: 25px;}*/
	.akt img.f_right {max-width: 90px;}
	#footer .inner {font-size: small;}
	#map {display: none;}

  #content .inner {border-top: 0;}
  #slideshow_text {display: none;}
  .contact_form .info {text-align: center; float: none;}
  .home img {max-width: 85%;}
  .fb, .instagram {display: none;}
  #footer .inner .quarter:nth-child(2) {display: none}
  #head_img {margin-bottom: 0;}
  //ADDON

}
@include media("xxx-small"){
  #header {/*height: 100%;*/ padding-bottom: 0%;}
  //ADDON
  #footer {.efa img {max-width: 42%; padding: 1rem}}

}
@include media("medium-height"){
  //ADDON
}
@include media("small-height"){
  //ADDON
}
@include media("x-small-height"){
  //ADDON
}
